EDIT - bug #9349

Open issues for classification cloning
12/04/2020 04:33 PM - Andreas Muller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

"Import Result" including count cloned taxa, synonyms, names, ... (do we need to merge UpdateResult and ImportResult?)
handle as long running task

finish tests

support in TaxEditor (#4867)

allow target to be a parent node, not necessarily a new classification

use TaxonNodeFilter (requires creation of limited tree due to geo filtering)

meve-to-taxen-node-service

allow moving to other parent, not only new classifications

¢ improve handling of name cloning (not really recommended as having name duplicates in databases is not recommended - e.g.

selecting correct NameUsedInSource is difficult - and handling of names in name relationships is difficult; generally names that
do also exist elsewhere in the cloned classification should be cloned but deduplicated; other related names e.g. homonyms may
be cloned or not, depending on the use case). Generally there should be a configuration to clone ALL related names, to clone
no related names or to clone only names that are part of the cloned classification as accepted names or synonyms (and
misapplied names?); generally also other names like factual data names used in source need to be cloned then

Related issues:

Related to EDIT - feature request #4867: Add menu item for subtree cloning In Progress

Copied from EDIT - feature request #4866: Implement clone method for complete...

Closed

Associated revisions

Revision dcd42a41 - 12/18/2020 07:03 PM - Andreas Muller

ref #9349 improve name cloning (including documentation as name cloning is not straight forward)

Revision c5bb8419 - 12/18/2020 08:19 PM - Andreas Muller

ref #9349 move cloneSubtree to taxonNodeService

Revision e9612b75 - 12/18/2020 08:20 PM - Andreas Miiller

ref #9349 deprecate setReuseNames(false)

Revision 2da76eb1 - 12/18/2020 08:37 PM - Andreas Muller

ref #9349 fix test for nomenclaturalStatus in name cloning

Revision 0120e292 - 12/18/2020 08:47 PM - Andreas Miiller

ref #9349 rename newClassificationName method

Revision 34140e24 - 12/18/2020 08:51 PM - Andreas Miiller

ref #9349 rename newClassificationName method (cont.)

Revision 5c696121 - 12/18/2020 09:32 PM - Andreas Miiller
ref #9349 add doRecursive to subtreeCloning

Revision 863c4112 - 12/18/2020 10:26 PM - Andreas Miiller
ref #9349 adapt TaxEditor to method move for cloneSubtree
Revision 2f7a8017 - 12/18/2020 10:33 PM - Andreas Miiller

ref #9349 adapt TaxEditor to method move for cloneSubtree - try to fix compile errors

History

#1 - 12/04/2020 04:37 PM - Andreas Miiller
- Description updated

#2 - 12/04/2020 04:37 PM - Andreas Miiller

- Copied from feature request #4866: Implement clone method for complete classifications added

#3 - 12/04/2020 04:39 PM - Andreas Miiller

- Related to feature request #4867: Add menu item for subtree cloning added

#4 - 12/04/2020 04:41 PM - Andreas Miiller
- Description updated

#5 - 12/18/2020 07:02 PM - Andreas Miiller
- Description updated

#6 - 12/18/2020 07:56 PM - Andreas Miiller
- Description updated

#7 - 12/18/2020 08:21 PM - Andreas Miiller
- Description updated

#8 - 12/18/2020 09:41 PM - Andreas Miiller
- Description updated

#9 - 01/27/2021 03:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#10 - 03/10/2021 02:36 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#11 - 04/16/2021 09:48 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46
